.MODEL TINY

.CODE

INCLUDE 8088.INC

ORG 0

START:
	;SET UP THE SEGMENT REGISTERS
	MOV AX,000H
	MOV DS,AX	;SET UP DATA AT 0000H

	MOV CX,8000H	;We want to loop through each cell in RAM
			;and there's 32K cells = 8000H

	MOV BX,0
RAMLOOP:
	MOV [BX],BL	;Put the current value of BL into a RAM cell
	INC BX
	LOOP RAMLOOP

	HLT
        MOV BX,0
        MOV CX,8000H
RAMREAD:
	MOV AL,[BX]
	TEST BL,AL	;CHECK TO SEE IF THE READ VALUE IS AS EXPECTED
	JZ FAIL		;IT ISN'T SO HALT THE PROGRAM
	LOOP RAMREAD
	
	JMP START	;DO IT AGAIN

FAIL:
	HLT		;THERE'S BEEN AN ERROR SO QUIT

ORG 7FF0H
	JMP START


	END